> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/apps/components/layout/hidden.md).

# Hidden

Control component visibility in PowerShell Universal apps across screen breakpoints using up, down, and only responsive hidden utilities.

Quickly and responsively toggle the visibility value of components and more with the hidden utilities.

## How it works

Hidden works with a range of breakpoints e.g. `xsUp` or `mdDown`, or one or more breakpoints e.g. `-Only 'sm'` or `-Only @('md', 'xl')`. Ranges and individual breakpoints can be used simultaneously to achieve very customized behavior. The ranges are inclusive of the specified breakpoints.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

Using any breakpoint `-Up` parameter, the given *children* will be hidden *at or above* the breakpoint.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

Using any breakpoint `-Down` parameter, the given *children* will be hidden *at or below* the breakpoint.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Using the breakpoint `-Only` parameter, the given *children* will be hidden *at* the specified breakpoint(s).

The `-Only` parameter can be used in two ways:

* list a single breakpoint
* list an array of breakpoints

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](/powershell-universal/powershell-commands/new-udhidden.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/apps/components/layout/hidden.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
